Bug 1169493 (python-markups) - Review Request: python-markups - A wrapper around various text markups
Summary: Review Request: python-markups - A wrapper around various text markups
Keywords:
Status: CLOSED ERRATA
Alias: python-markups
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1128100 (view as bug list)
Depends On:
Blocks: 1128101 retext
TreeView+ depends on / blocked
 
Reported: 2014-12-01 20:10 UTC by Mario Blättermann
Modified: 2016-01-16 23:16 UTC (History)
3 users (show)

Fixed In Version: python-markups-0.5.2-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-09 11:54:30 UTC
dev: fedora-review+
opensource: fedora-cvs+


Attachments (Terms of Use)

Description Mario Blättermann 2014-12-01 20:10:22 UTC
Spec URL: https://mariobl.fedorapeople.org/Packages/SPECS/python-markups.spec
SRPM URL: https://mariobl.fedorapeople.org/Packages/SRPMS/python-markups-0.5.2-1.fc21.src.rpm

Description: This module provides a Python wrapper around the various text markup languages, such as Markdown and reStructuredText (these two are supported by default).

Fedora Account System Username: mariobl

Latest builds can be found in a Copr repository:
https://copr.fedoraproject.org/coprs/mariobl/python-markups/

Comment 1 Mario Blättermann 2014-12-12 20:39:58 UTC
New version which fixes an rpmlint warning:

Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/python-markups.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/python-markups-0.5.2-2.fc21.src.rpm

Comment 2 Mario Blättermann 2014-12-30 10:05:35 UTC
New version which uses the %license macro:

Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/python-markups.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/python-markups-0.5.2-3.fc21.src.rpm

Comment 3 Florian "der-flo" Lehner 2014-12-31 11:14:27 UTC
Hi Mario!

Just one minor thing:

Replace:
   Release:        3%{dist}
With:
   Release:        3%{?dist}

After you fixed this, I will do another review.

Cheers,
 Flo


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 23 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Dist tag is present (not strictly required in GL).

Replace:
   Release:        3%{dist}
With:
   Release:        3%{?dist}

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-markups
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8504285
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-markups-0.5.2-3.fc22.noarch.rpm
          python3-markups-0.5.2-3.fc22.noarch.rpm
          python-markups-0.5.2-3.fc22.src.rpm
python-markups.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
python3-markups.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
python-markups.src: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@Blacklady /]# rpmlint python-markups python3-markups
python-markups.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
python3-markups.noarch: W: spelling-error %description -l en_US reStructuredText -> restructured Text, restructured-text, restructure
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
]0;<mock-chroot><mock-chroot>[root@Blacklady /]# echo 'rpmlint-done:'



Requires
--------
python-markups (rpmlib, GLIBC filtered):
    python(abi)

python3-markups (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-markups:
    python-markups

python3-markups:
    python3-markups



Source checksums
----------------
http://pypi.python.org/packages/source/M/Markups/Markups-0.5.2.tar.gz :
  CHECKSUM(SHA256) this package     : 9e65a2ebfbd9b218aac2206693256e54bd3795917fb5ebb90bcac7b6b6ff6863
  CHECKSUM(SHA256) upstream package : 9e65a2ebfbd9b218aac2206693256e54bd3795917fb5ebb90bcac7b6b6ff6863


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1169493
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Mario Blättermann 2014-12-31 16:08:56 UTC
Hi Florian,

thanks for taking this review. The wrong disttag is fixed, new files:
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/python-markups.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/python-markups-0.5.2-4.fc21.src.rpm

I've also removed a duplicate entry from %files in the python3 section.

Comment 5 Florian "der-flo" Lehner 2015-01-01 15:33:30 UTC
Hi Mario!

Just one more thing:
There is not %license. So the license text must be included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Everything looks fine.

Cheers,
 Flo

For the records: http://koji.fedoraproject.org/koji/taskinfo?taskID=8509482

Comment 6 Mario Blättermann 2015-01-01 16:08:37 UTC
(In reply to Florian "der-flo" Lehner from comment #5)
> There is not %license.
The %license macro exists, the reason:
http://fedoraproject.org/wiki/Changes/Use_license_macro_in_RPMs_for_packages_in_Cloud_Image

Related FPC ticket:
https://fedorahosted.org/fpc/ticket/411

The directory /usr/share/licenses where the license files resides is owned by the "filesystem" package.
 
It is intended to get the docs separate from the license, so the latter (which is mandatory) goes into the cloud image, and the docs will be dropped to get additional space. Well, whether someone includes this package in a cloud image doesn't matter. Next time all of the Fedora packages will be migrated, see the last sentence in the mentioned wiki page:

»Migration of other packages to this new standard will be on a best-effort basis, so many packages will continue to have license files under /usr/share/docs and not in the new location.«

This may take some time... But now while trying to get a new package into Fedora, I use the new macro already from now on. Moreover, I have already changed some of the other packages maintained or co-maintained by me.

Comment 7 Florian "der-flo" Lehner 2015-01-01 16:20:09 UTC
Hi Mario!

Thanks for the information. I didn't know about that.

Since there is no longer a issue, I approve it.

Cheers,
 Flo

Comment 8 Mario Blättermann 2015-01-01 16:28:13 UTC
Many thanks for the review!

New Package SCM Request
=======================
Package Name: python-markups
Short Description: A wrapper around various text markups
Upstream URL: https://pypi.python.org/pypi/Markups
Owners: mariobl
Branches: f21

Comment 9 Till Maas 2015-01-01 22:57:10 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2015-01-02 10:08:29 UTC
python-markups-0.5.2-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-markups-0.5.2-4.fc21

Comment 11 Fedora Update System 2015-01-03 19:02:23 UTC
python-markups-0.5.2-4.fc21 has been pushed to the Fedora 21 testing repository.

Comment 12 Fedora Update System 2015-01-09 11:54:30 UTC
python-markups-0.5.2-4.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Nikos Roussos 2016-01-16 23:16:16 UTC
*** Bug 1128100 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.